PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
PDevicePluginAdapter< DeviceBase > Class Template Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginAdapter< DeviceBase >:
[legend]
Collaboration diagram for PDevicePluginAdapter< DeviceBase >:
[legend]

## Public Types
typedef PDevicePluginFactory < DeviceBase > | Factory_T
typedef Factory_T::Worker | Worker_T

## Public Member Functions
void | CreateFactory (const PString &device)
Public Member Functions inherited from PDevicePluginAdapterBase
| PDevicePluginAdapterBase ()
virtual | ~PDevicePluginAdapterBase ()

## Member Typedef Documentation

template<typename DeviceBase >

typedef PDevicePluginFactory<DeviceBase> PDevicePluginAdapter< DeviceBase >::Factory_T

template<typename DeviceBase >

typedef Factory_T::Worker PDevicePluginAdapter< DeviceBase >::Worker_T

## Member Function Documentation

template<typename DeviceBase >

void PDevicePluginAdapter< DeviceBase >::CreateFactory | ( | const PString & | device | ) |
| inline virtual

Implements PDevicePluginAdapterBase.

The documentation for this class was generated from the following file:

- plugin.h